Name:           meshmagick
Version:        0.6.0
Release:        16.svn2898%{?dist}
Summary:        Command line manipulation tool for Ogre meshes

Group:          Applications/Multimedia
License:        MIT
URL:            http://www.ogre3d.org/tikiwiki/index.php/MeshMagick
# The source for this package was pulled from upstream's svn.  Use the
# following commands to generate the tarball:
#  svn export -r 2898 https://ogreaddons.svn.sourceforge.net/svnroot/ogreaddons/trunk/meshmagick meshmagick
#  tar cjf meshmagick-0.6.0-r2898.tar.bz2 meshmagick
Source0:        %{name}-%{version}-r2898.tar.bz2
Patch0:         meshmagick-version.patch
Patch1:         meshmagick-multilib.patch
# Based on http://www.ogre3d.org/forums/viewtopic.php?f=5&t=32352&start=250#p455165
Patch2:         meshmagick-ogre18.patch
Patch3:         meshmagick-boost-DSO.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ogre-devel
BuildRequires:  cmake

%description
MeshMagick is a manipulation tool for Ogre meshes (and skeletons). It
allows the user to query interesting information and to transform binary
meshes (and skeletons) in many ways.


%package        libs
Summary:        Libraries for %{name}
Group:          System Environment/Libraries

%description    libs
The %{name}-libs package contains libraries that are needed for
running applications that use %{name}.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}-libs = %{version}-%{release} pkgconfig ogre-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}
%patch0
%patch1
%patch2
%patch3


%build
%cmake . -DSTATIC_BUILD=FALSE -DLIB:STRING=%{_lib} -DCMAKE_SKIP_RPATH=TRUE
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/lib%{name}.la


%clean
rm -rf $RPM_BUILD_ROOT


%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS README LICENSE.txt
%{_bindir}/%{name}

%files libs
%defattr(-,root,root,-)
%{_libdir}/lib%{name}.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sun Feb 24 2013 Bruno Wolff III <bruno@wolff.to> - 0.6.0-16.svn2898
- Fix ogre / boost_system-mt DSO issue with a bigger hammer

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-15.svn2898
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Dec 09 2012 Bruno Wolff III <bruno@wolff.to> - 0.6.0-14.svn2898
- Rebuild for Ogre 1.8
- Adjust for ms_Singleton to msSingleton function name change

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-13.svn2898
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Apr 01 2012 Bruno Wolff III <bruno@wolff.to> - 0.6.0-12.svn2898
- Rebuild for ogre 1.7.4

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-11.svn2898
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-10.svn2898
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun May 15 2011 Bruno Wolff III <bruno@wolff.to> - 0.6.0-9.svn2898
- Rebuild for ogre 1.7.3

* Sun Mar 06 2011 Bruno Wolff III <bruno@wolff.to> - 0.6.0-8.svn2898
- I think I finally have the multilib stuff fixed.
- The license has changed to MIT.

* Sun Feb 20 2011 Bruno Wolff III <bruno@wolff.to> - 0.6.0-7.svn2898
- Still working on multilib
- Drop buildrequires for autotool stuff

* Sun Feb 20 2011 Bruno Wolff III <bruno@wolff.to> - 0.6.0-6.svn2898
- Still working on multilib

* Sun Feb 20 2011 Bruno Wolff III <bruno@wolff.to> - 0.6.0-5.svn2898
- The libdir fix is a bit trickier than I thought

* Sun Feb 20 2011 Bruno Wolff III <bruno@wolff.to> - 0.6.0-4.svn2898
- Have cmake use %{_libdir} so multilib works.

* Sun Feb 20 2011 Bruno Wolff III <bruno@wolff.to> - 0.6.0-3.svn2898
- Update for Ogre 1.7
- Switch to using cmake build
- Update library versions to 0.6.0 to match meshmagick version

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-2.20090529svn2698
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Oct 12 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.6.0-1.20090529svn2698
- Update

* Mon Sep 28 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.5.2-7.20090124svn2618
- Rebuilt for new OGRE

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-6.20090124svn2618
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed May 06 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.5.2-5.20090124svn2618
- Rebuild for new OGRE

* Wed Mar 04 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.5.2-4.20090124svn2618
- Polishing the Requires

* Wed Mar 04 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.5.2-3.20090124svn2618
- Split shared library to -libs subpackage for correct work in multilib
  environment
- Add patch for generating full debuginfo

* Tue Mar 03 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.5.2-2.20090124svn2618
- Renamed package to simply "meshmagick"
- Clarified commands to get source
- Minor fixes

* Sat Feb 28 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.5.2-1.20090124svn2618
- Update to post 0.5.2

* Mon Nov 03 2008 Alexey Torkhov <atorkhov@gmail.com> - 0.4.0-0.1.20080731svn2488
- Initial package
